Documentation Index

Fetch the complete documentation index at: https://docs.plainid.io/llms.txt

Use this file to discover all available pages before exploring further.

Get Observability Summary

Prev Next
Get
/orchestrator/1.0/observability-summary/env/{envId}/pop/{popId}

This API call returns a summary of the specified POP, including details regarding previous and scheduled discovery and deployment timestamps.

Security
HTTP
Type bearer

For more details about Administration API Authentication, check out the Authentication APIs documentation
Provide your bearer token in the Authorization header when making requests to protected resources.
Example: Authorization: Bearer 123

Path parameters
envId
stringRequired

The Environment ID can be found under the Details Tab in the Environment Settings.

Exampleec3ff4ee-81f9-4e7f-9037-6fa9fde62cc8
popId
stringRequired

POP ID. You can find the POP ID using the GET List of POPs API or through the UI under your POP settings in the Integration Workspace.

ExamplePOPS269J5C16H8N4
Responses
200

Success

manage_pop

MANAGE POP with scheduled discovery and deployment

{
  "data": {
    "lastSuccessfulDiscovery": "2024-06-14T08:15:00Z",
    "lastSuccessfulDeployment": "2024-06-14T08:22:00Z",
    "nextScheduledDiscovery": "2024-06-15T08:15:00Z",
    "nextScheduledDeployment": "2024-06-15T08:15:00Z"
  }
}
learn_pop

LEARN POP — no scheduled deployment timestamps

{
  "data": {
    "lastSuccessfulDiscovery": "2024-06-14T08:15:00Z",
    "nextScheduledDiscovery": "2024-06-15T08:15:00Z"
  }
}
with_last_failure

POP with a recent workflow failure

{
  "data": {
    "lastSuccessfulDiscovery": "2024-06-14T08:15:00Z",
    "lastSuccessfulDeployment": "2024-06-14T08:22:00Z",
    "nextScheduledDiscovery": "2024-06-15T08:15:00Z",
    "nextScheduledDeployment": "2024-06-15T08:15:00Z",
    "lastFailureTime": "2024-06-13T16:40:00Z",
    "lastFailureMessage": "activity error (type: DeployPolicies, scheduledEventID: 12): connection timeout"
  }
}
Expand All
object
data
object (ObservabilitySummaryData)

Timestamps for POP data

lastSuccessfulDiscovery
string | null

Timestamp for the last successful Discovery in UTC.

lastSuccessfulDeployment
string | null

Timestamp for the last successful Deployment in UTC.

nextScheduledDiscovery
string | null

Time set for the next scheduled Discovery in UTC.

nextScheduledDeployment
string | null

Time set for the next scheduled Deployment in UTC.

lastFailureTime
string | null

Timestamp for the last failure time in UTC.

lastFailureMessage
string | null

The failure message returned for the last failed discovery or deployment operation.

400

Bad Request

401

Unauthorized

404

Not Found

500

Internal Server Error

© 2024 PlainID LTD. All rights reserved.